import 'profile_status.dart';

class ProfileBlocState {
  final ProfileLoadStatus loadStatus;
  final ProfileSaveStatus saveStatus;

  ProfileBlocState({required this.loadStatus, required this.saveStatus});

  factory ProfileBlocState.initial() => ProfileBlocState(
        loadStatus: ProfileLoadInitial(),
        saveStatus: ProfileSaveIdle(),
      );

  ProfileBlocState copyWith({
    ProfileLoadStatus? loadStatus,
    ProfileSaveStatus? saveStatus,
  }) =>
      ProfileBlocState(
        loadStatus: loadStatus ?? this.loadStatus,
        saveStatus: saveStatus ?? this.saveStatus,
      );
}
